#
# spec file for package perl-TermReadLine-Gnu (Version 1.15)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline readline-devel rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-TermReadLine-Gnu
BuildRequires:  readline-devel
Version:        1.15
Release:        13.10
Requires:       readline
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        GNU General Public License (GPL)
URL:            www.cpan.org
Summary:        Perl extension for the GNU Readline/History Library
Source:         Term-ReadLine-Gnu-%{version}.tar.bz2
Patch:          Term-ReadLine-Gnu-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is an implementation of Term::ReadLine using the GNU
Readline/History Library. This package also has the interface with the
almost all functions and variables which are documented in the GNU
Readline/History Library Manual.



Authors:
--------
    Hiroo Hayashi <hiroo.hayashi@computer.org>

%debug_package
%prep
%setup -n Term-ReadLine-Gnu-%{version}
%patch

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS"
make
# s390/s390x/sparc don't have /dev/tty
%ifnarch s390 s390x sparc sparc64
make test
%endif

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Term
%{perl_vendorarch}/auto/Term
/var/adm/perl-modules/%{name}

%changelog
* Mon Aug 28 2006 - ms@suse.de
- synchronize the outstream fd inside the readline library (#200843)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 28 2005 - mls@suse.de
- update to 1.15, fixes [#142032]
* Thu Oct 07 2004 - ms@suse.de
- Readline 1.14
